curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/variations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "Interdimensional Goggles - Supermagnifier",
"Translations": [
{
"LanguageIso": "DE",
"Name": "German"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/variations"
payload = {
"Name": "Interdimensional Goggles - Supermagnifier",
"Translations": [
{
"LanguageIso": "DE",
"Name": "German"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'Interdimensional Goggles - Supermagnifier',
Translations: [{LanguageIso: 'DE', Name: 'German'}]
})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/variations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"ItemId": 123,
"Name": "Interdimensional Goggles - Supermagnifier",
"Translations": [
{
"LanguageIso": "DE",
"Name": "German"
}
]
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Create Item Variation
Create a new variation for a specific item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
The ItemVariation to create.
Model Class: CreateItemVariation
Name of a variation in the default language.
"Interdimensional Goggles - Supermagnifier"
0 = Dropdown, 1 = Radiobutton, 2 = Swatches, 3 = Textbox, 4 = FreeText, 5 = MandatoryFreeText
0, 1, 2, 3, 4, 5 Show child attributes
Show child attributes
Response
The created ItemVariation.
Model Class: ItemVariation
Name of a variation in the default language.
"Interdimensional Goggles - Supermagnifier"
0 = Dropdown, 1 = Radiobutton, 2 = Swatches, 3 = Textbox, 4 = FreeText, 5 = MandatoryFreeText
0, 1, 2, 3, 4, 5 Different terms for a variation in the non-default languages.
Show child attributes
Show child attributes
Was this page helpful?